html {
    box-sizing: border-box;
    overflow: -moz-scrollbars-vertical;
    overflow-y: scroll;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

:root {
    /* Brand Colors */
    --brand-primary: #FF006B; /* Pink (Winter Sky) */
    --brand-accent: #FF424E;  /* Red Salsa */
    --brand-bg-soft: #FFEFF0; /* Lavender Blush */
    --brand-white: #FFFFFF;
    --brand-text-dark: #1f2933;
}

body {
    margin: 0;
    background: var(--brand-white);
}

/* Custom CSS */
html.dark-mode .swagger-ui .topbar .download-url-wrapper .select-label select,
.swagger-ui .topbar .download-url-wrapper .select-label select {
    border-color: var(--brand-accent);
}

html.dark-mode .swagger-ui .topbar .download-url-wrapper .download-url-button,
.swagger-ui .topbar .download-url-wrapper .download-url-button {
    background: var(--brand-accent);
}

html.dark-mode .swagger-ui .topbar .download-url-wrapper input[type=text],
.swagger-ui .topbar .download-url-wrapper input[type=text] {
    border-color: var(--brand-accent);
}

/* Hide the default inline Swagger SVG */
.swagger-ui .topbar .link > svg {
    display: none;
}

/* Replace with your own logo */
.swagger-ui .topbar .link {
    display: flex;
    align-items: center;

    background-image: url("./crewmojo_logo_gradient_white.svg");
    background-repeat: no-repeat;
    background-position: left center;
    background-size: contain;

    width: 160px;   /* adjust */
    height: 40px;   /* adjust */
}